# e2e-irc
This is an IRC bouncer that supports end-to-end encryption and is horribly written.

# Setup CWD
To use this you need to build it and in your CWD you need to add two files. One called `secret.gpg` and one called `public.gpg` that are just pgp keys.
You also need a .env file in your CWD like this:
```bash
SERVER={address of the server you want to connect to (has to support tls)}
PORT={the port you want the program to bind to and the port that the IRC client should connect to}
PASSWD={password of your pgp key} # Optional
```

# Run
Then you just run the binary with:
`cargo run --release`
or build the project to get a binary
```bash
cargo build --release
cp target/release/e2e-irc ~/.local/bin/
```
and after running that once you can run the program with
```bash
e2e-irc
```
but you have to have the .env in the CWD
